org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl

## Class ConflictNodeBuilder

- java.lang.Object
- - org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl.ConflictNodeBuilder

    public class ConflictNodeBuilder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ConflictNodeBuilder(Conflict conflict, ThreeWayComparisonGroupProvider.ConflictsGroupImpl group)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ConflictNode` `buildNode()` Build the node for the conflict.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConflictNodeBuilder

    public ConflictNodeBuilder(Conflict conflict,
                               ThreeWayComparisonGroupProvider.ConflictsGroupImpl group)

### Method Detail

#### buildNode

    public ConflictNode buildNode()

Build the node for the conflict.

Returns:
  The node of the conflict, complete with all its children.